All ruby packages replaced by version 2.3.3

DoneSubmitted by Christopher Baines.
Details
4 participants
  • Ben Woodcroft
  • Christopher Baines
  • Leo Famulari
  • Ludovic Courtès
Owner
unassigned
Severity
normal
C
C
Christopher Baines wrote on 5 Dec 2016 14:18
(address . bug-guix@gnu.org)
61e4c3b3-5491-ebe6-f111-0de25a9f33c1@digital.cabinet-office.gov.uk
On master (8f35c0306192c4b62646f2aa02879c2a8c4f4a07), as ruby 2.3.1 isreplaced by 2.3.3, and all ruby packages inherit from ruby 2.3.1, allversions of ruby end up being 2.3.3.
For example:→ guix environment --container --ad-hoc --pure -e "(begin (use-modules(gnu packages ruby)) ruby-2.1)" -- ruby --version
ruby 2.3.3p222 (2016-11-21 revision 56859) [x86_64-linux]
Removing the replacement line, or adding (replacement #f) to the otherpackages fixes this.
Attachment: signature.asc
L
L
Leo Famulari wrote on 5 Dec 2016 22:42
(name . Christopher Baines)(address . christopher.baines@digital.cabinet-office.gov.uk)(address . 25118@debbugs.gnu.org)
20161205214212.GA21176@jasmine
On Mon, Dec 05, 2016 at 01:18:04PM +0000, Christopher Baines wrote:
Toggle quote (13 lines)> On master (8f35c0306192c4b62646f2aa02879c2a8c4f4a07), as ruby 2.3.1 is> replaced by 2.3.3, and all ruby packages inherit from ruby 2.3.1, all> versions of ruby end up being 2.3.3.> > For example:> → guix environment --container --ad-hoc --pure -e "(begin (use-modules> (gnu packages ruby)) ruby-2.1)" -- ruby --version> > ruby 2.3.3p222 (2016-11-21 revision 56859) [x86_64-linux]> > Removing the replacement line, or adding (replacement #f) to the other> packages fixes this.
Thanks for the report!
This should be fixed in 6e02766d433c8d5f56af628fbcaf5f2ca6e63953 (gnu:ruby-2.2, ruby-2.1, ruby-1.8: Don't replace with ruby-2.3.3.).
Please let us know if you are still having problems with thisreplacement.
-----BEGIN PGP SIGNATURE-----
iQIzBAEBCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlhF3zQACgkQJkb6MLrKfwhRew/+PLgUcEvfWHD5bNqc8L2c0Zdt0TTlDNQGDYw/RwgSWPzDrQ9ZZRFdhXZtwmY9cio88Gd/+GcrsE6HD045lUI84Ms4VlSi98kFH0rxbSI82jt/KSCcOi3A6HzwanMyKxNX9LSFwTtcQQU5qBHLr2v3vsZ9aFyz4eoPVhBjaEfNAIdn1WLNPQu6oubcDxOkPWI2Kugtmrnf5tLdXk1K6ON8qIOxS5cDrtu+Z+iyvOI66J5Z2b491VuhBqUmSO+pguyt8m9bhAysqoZXYFBxxfZz8NXnbbNKPbZknsK+H/FxzR+eoBC1051keCTrfd+arNb0hsNk4pnF3Q4lZS0SJ70U9RDGRoaWaK/B8PO8Rpv8z3b2hhC+SD3U2xyH4LFU795OFgTXQ41ED+Dps+H6R64UwKDVvIJ8Zt99ooEJrkM0rcpA0x7sPm5+9AFdHdZnlONduqi2p0KbQ2S19tVyJFRth2Y4WIVnUT7+AQdOpTmR7Yq14bwv3/akZOet8MJfMDt3cwwBP1Kjn6C/Sfrq9Z/VX66hJ/CYycBbl9+9SFXj/BUyccJR10wJ7rcwVQLl7ae/JQ2SPeFsFd/P1jwWnqIYwDkmFwP/g3DppGRpGIY5rjWOsiOijMpUBucTXrGhJsfRxTUxitGR/r22+DzrWZoql82N7yUyIwzxzll0eCO7ng8==VFTu-----END PGP SIGNATURE-----

B
B
Ben Woodcroft wrote on 5 Dec 2016 23:45
(address . 25118@debbugs.gnu.org)
845e4bcb-3571-2f00-b12b-65334360040f@uq.edu.au
On 06/12/16 07:42, Leo Famulari wrote:
Toggle quote (17 lines)> On Mon, Dec 05, 2016 at 01:18:04PM +0000, Christopher Baines wrote:>> On master (8f35c0306192c4b62646f2aa02879c2a8c4f4a07), as ruby 2.3.1 is>> replaced by 2.3.3, and all ruby packages inherit from ruby 2.3.1, all>> versions of ruby end up being 2.3.3.>>>> For example:>> → guix environment --container --ad-hoc --pure -e "(begin (use-modules>> (gnu packages ruby)) ruby-2.1)" -- ruby --version>>>> ruby 2.3.3p222 (2016-11-21 revision 56859) [x86_64-linux]>>>> Removing the replacement line, or adding (replacement #f) to the other>> packages fixes this.> Thanks for the report!>> This should be fixed in 6e02766d433c8d5f56af628fbcaf5f2ca6e63953 (gnu:> ruby-2.2, ruby-2.1, ruby-1.8: Don't replace with ruby-2.3.3.).
Yes, thanks both of you, and apologies for my mistake. In future we should probably not inherit from the newest Ruby, but instead from the older ones so this is less likely to happen again.
ben
L
L
Ludovic Courtès wrote on 6 Dec 2016 16:03
control message for bug #25118
(address . control@debbugs.gnu.org)
87inqxumkq.fsf@gnu.org
tags 25118 fixedclose 25118
?
Your comment

This issue is archived.

To comment on this conversation send email to 25118@debbugs.gnu.org